## ffcx 2019.2.0~git20200127.702a93e

=== requirements.txt ===
cffi
-e git+https://github.com/FEniCS/fiat.git#egg=fiat
-e git+https://github.com/FEniCS/ufl.git#egg=ufl

=== debian/changelog ===
ffcx (2019.2.0~git20200127.702a93e-1) unstable; urgency=medium

  * New upstream snapshot (next generation FFC-X).
  * Repackage as ffcx to allow parallel installation alongside old ffc.
    Binary package is now python3-ffcx.

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Jan 2020 22:08:55 +0800

ffc (2019.2.0~git20200106.7c19661-1) experimental; urgency=medium

  * New upstream snapshot (ffcx)
    - Depends: python3-cffi
    - drops Depends: python3-dijitso
  * update upstream source repo to https://github.com/FEniCS/ffcx
  * Standards-Version: 4.5.0
  * drop debian patch ufc-include-path.patch. A python2 version is no
    longer provided so no need to provide alternative ufc.h.
    Remove existing alternatives links in preinst.
  * use pytest-3 in debian/tests with Depends: python3-pygraphviz

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jan 2020 03:59:12 +0800

ffc (2019.1.0.post0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-ffc

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2019 12:38:03 +0800

ffc (2019.1.0.post0-1) experimental; urgency=medium

  * New upstream release.
    - applies v2019.1.patch to fix version in ufc.h

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 20:55:59 +0800

ffc (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
  * debhelper 12: Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 10:16:15 +0800

ffc (2019.1.0~git20180828-2) experimental; urgency=medium

  * Debian patch v2019.1.patch bumps version to 2019.1
    (needed in ufc.h when the dolfin version is likewise bumped)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 03:51:41 +0800

ffc (2019.1.0~git20180828-1) experimental; urgency=medium

  * New upstream test release.
    - applies numpy_tuple_syntax_update_c52e64f.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 02:32:47 +0800

ffc (2018.1.0-5) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.
  * Trim trailing whitespace.

  [ Drew Parsons ]
  * add debian patch numpy_tuple_syntax_update_c52e64f.patch
    (upstream commit c52e64f662ed62f5af99ec71049d89257443667a)
    to avoid numpy deprecation warnings about tuple indexing
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Jan 2019 09:47:17 +0100

ffc (2018.1.0-4) unstable; urgency=medium

  * debian/test/control: Depends: @builddeps@ (to provide c++)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jul 2018 12:30:36 +0800

ffc (2018.1.0-3) unstable; urgency=medium

  * fix dependencies and dirs for tests
    - don't run regression tests (reference data is not up-to-date)
    - don't run units tests under MPI (FFC does not use it directly)

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 23:05:56 +0800

ffc (2018.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * activate autopkgtest via debian/tests

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jul 2018 23:25:45 +0800

ffc (2018.1.0-1exp2) experimental; urgency=medium

  * python3-ffc Conflicts: python-ffc (<< 2018.1~),
    Replaces: python-ffc. Closes: #901670.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jun 2018 18:01:12 +0200

ffc (2018.1.0-1exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * remove Python 2 package in preparation of 2018.1

  [ Drew Parsons ]
  * New upstream release.
    - python-ffc is now a dummy package that depends on python3-ffc.
    - no longer uses instant
  * add manpage symlink from ffc-3 to ffc
  * remove ancient-python-version-field X-Python3-Version: >= 3.4
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jun 2018 01:02:12 +0200

ffc (2017.2.0.post0-2) unstable; urgency=medium

  * Update VCS-git tag to https://salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2018 22:58:00 +0800

ffc (2017.2.0.post0-1exp1) experimental; urgency=medium

  * New upstream release.
    - this is the official 2017.2.0 release.
      The previous version was a mislabelled beta release.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11
  * Priority: optional not extra

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2018 00:23:32 +0800

ffc (2017.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - updated debian/upstream/signing-key.asc for signature
      from the FEniCS Project Steering Council (key BED06106DD22BAB3)
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Oct 2017 16:03:12 +0800

ffc (2017.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Sep 2017 14:38:56 +0800

ffc (2017.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches/fix-float-division.patch: Remove patch (no longer needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 06 Jul 2017 13:32:28 +0200

ffc (2016.2.0-4) unstable; urgency=medium

  [ Johannes Ring ]
  * d/patches/ufc-include-path.patch: Add patch to use /usr/include
    as path to ufc header files.

  [ Drew Parsons ]
  * Enable python3-only installations by using alternatives for
    /usr/include/ufc.h (provided by either python-ffc or python3-ffc).
    ufc.h is used by libdolfin-dev.

 -- Johannes Ring <johannr@simula.no>  Fri, 30 Jun 2017 12:05:38 +0200

ffc (2016.2.0-3) unstable; urgency=medium

  * d/patches/fix-float-division.patch: Add patch to fix float division
    of indices in tensorreordering.

 -- Johannes Ring <johannr@simula.no>  Fri, 02 Jun 2017 11:00:02 +0200

ffc (2016.2.0-2) unstable; urgency=medium

  [ Johannes Ring ]
  * Support Python 3: new package python3-ffc.

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jan 2017 22:02:21 +0800

ffc (2016.2.0-1) unstable; urgency=medium

  [ Johannes Ring ]


=== debian/control ===
Source: ffcx
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.5),
 python3-setuptools
Standards-Version: 4.5.0
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/ffcx.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffcx

Package: python3-ffcx
Architecture: all
Depends:
 python3-cffi,
 python3-fiat (>= ${fenics:Upstream-Version}), python3-fiat (<< ${fenics:Next-Upstream-Version}),
 python3-ufl (>= ${fenics:Upstream-Version}), python3-ufl (<< ${fenics:Next-Upstream-Version}),
 python3-numpy,
 ${python3:Depends},
 ${misc:Depends}
Description: next-gen compiler for finite element variational forms (Python 3)
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This package installs the next-generation FFC-X library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ffcx
export PYBUILD_DISABLE=test
#export PYBUILD_TEST_ARGS={dir}/test
#export PYBUILD_TEST_PYTEST=1

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\+dfsg.*$$//p')

FENICS_RELEASE_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)
FENICS_MAJOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
FENICS_MINOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
FENICS_VERSION=$(FENICS_MAJOR_VERSION).$(FENICS_MINOR_VERSION)
FENICS_NEXT_VERSION=$(FENICS_MAJOR_VERSION).$(shell echo $$(( $(FENICS_MINOR_VERSION) + 1 )) )

USCAN_DESTDIR := $(CURDIR)

PYTHON_BASE_SCRIPT="import sys; base=list(filter( lambda p: p.startswith('/usr/lib/python') and p.endswith('/dist-packages'), sys.path ))[0]; sys.stdout.write(base)"
PYTHON3_MODULE_BASE := $(shell python3 -c $(PYTHON_BASE_SCRIPT))

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.py -X.ufl

override_dh_clean:
	dh_clean ffcx/git_commit_hash.py
	rm -rf *.egg-info

override_dh_gencontrol:
	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION) -Vfenics:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## ffcx 2019.2.0~git20200723.aed0e1d

=== debian/changelog ===
ffcx (2019.2.0~git20200723.aed0e1d-1) unstable; urgency=medium

  * New upstream shapshot.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jul 2020 19:40:09 +0800

ffcx (2019.2.0~git20200416.db6793b-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration. 

 -- Boyuan Yang <byang@debian.org>  Tue, 19 May 2020 10:05:43 -0400

ffcx (2019.2.0~git20200416.db6793b-2) unstable; urgency=medium

  * provide documentation in python-ffcx-doc
  * provide manpage fenicsformcompilerx.1 (ffcx.1) in python3-ffcx
  * free Johannes Ring from Uploader duties. Thanks for your good work!

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Apr 2020 00:45:33 +0800

ffcx (2019.2.0~git20200416.db6793b-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 12:07:48 +0800

ffcx (2019.2.0~git20200321.9ba5e24-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Mar 2020 01:14:18 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.5),
- python3-setuptools
+ python3-setuptools,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>
 Standards-Version: 4.5.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ffcx.git
@@ -37,3 +39,24 @@
  hand-optimized code.
  .
  This package installs the next-generation FFC-X library for Python 3.
+
+Package: python-ffcx-doc
+Architecture: all
+Depends: ${sphinxdoc:Depends},
+ ${misc:Depends}
+Suggests: python3-ffcx
+Description: next-gen compiler for finite element variational forms (docs)
+ The FEniCS Form Compiler FFC provides state-of-the-art automatic and
+ efficient evaluation of general multilinear forms (variational
+ formulations) for FEniCS. FFC functions as the form evaluation
+ system for DOLFIN but can also be used to compile forms for other
+ systems.
+ .
+ FFC works as a compiler for multilinear forms by generating code (C
+ or C++) for the evaluation of a multilinear form given in
+ mathematical notation. This new approach to form evaluation makes it
+ possible to combine generality with efficiency; the form can be given
+ in mathematical notation and the generated code is as efficient as
+ hand-optimized code.
+ .
+ This package installs documentation for the next-generation FFC-X library.

## ffcx 2019.2.0~git20210122.22ca4c0

=== debian/changelog ===
ffcx (2019.2.0~git20210122.22ca4c0-2) unstable; urgency=medium

  * bring current snapshot to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Feb 2021 20:19:21 +0100

ffcx (2019.2.0~git20210122.22ca4c0-1) experimental; urgency=medium

  * New upstream snapshot.
    - Build-Depends: python3-basix
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Jan 2021 13:56:52 +0100

ffcx (2019.2.0~git20201106.b0c67ad-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Nov 2020 22:56:28 +0800

ffcx (2019.2.0~git20200921.82f9c33-1) unstable; urgency=medium

  * New upstream snapshot.
  * no longer ships lib source dir, so delete
    debian/source/lintian-overrides

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Sep 2020 23:07:05 +0800

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.5),
+ python3-basix,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ffcx.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ffcx

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 PYTHON_BASE_SCRIPT="import sys; base=list(filter( lambda p: p.startswith('/usr/lib/python') and p.endswith('/dist-packages'), sys.path ))[0]; sys.stdout.write(base)"
 PYTHON3_MODULE_BASE := $(shell python3 -c $(PYTHON_BASE_SCRIPT))
 
+PY3VER_DEFAULT := $(shell py3versions -dv)
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_compress:
 	dh_compress -X.py -X.ufl
@@ -33,6 +35,18 @@
 	dh_clean ffcx/git_commit_hash.py
 	rm -rf *.egg-info
 
+override_dh_auto_clean:
+	dh_auto_clean
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) -C doc clean
+endif
+
+override_dh_auto_install:
+	dh_auto_install
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR)/debian/python3-ffcx/usr/lib/python$(PY3VER_DEFAULT)/dist-packages:${PYTHONPATH} $(MAKE) -C doc html man
+endif
+
 override_dh_gencontrol:
 	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION) -Vfenics:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/ filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ffc-$1.tar.gz%" \
 https://github.com/FEniCS/ffcx/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
